Subject: bug#12395: 24.2.50; `C-h f emacs-version' ignores doc string; gives no information

From: Glenn Morris <[email-masked]>
Date: Sat, 20 Oct 2012 21:21:20 -0400

Eli Zaretskii wrote:

> Incidentally, is it OK that cp51932.el and eucjp-ms.el are loaded as
> uncompiled Lisp files, but are not in src/lisp.mk? 

No, they should be there, well spotted. I imagine they were missed
because they are not in loadup.el, rather loaded by something that is.
(As an aside, that can be somewhat confusing, as this shows. Maybe it
would be better to move them to loadup.el. Same for term/internal.)

They don't contain any useful doc strings, so that does not matter, but
the rule for the Emacs binary in src/Makefile should depend on them.

> Also, charprop.el is loaded uncompiled, but its doc strings do not
> follow the conventions required by make-docfile.c.  We are lucky that
> none of charprop.el's forms are recognizable by make-docfile.c.

I don't see any reason _not_ to compile these 3 files.
It seems generated files are usually not compiled, but these ones
are in the repository.